IcedTea-Web Plugin

## netscape.javascript
Class JSRunnable

    java.lang.Object
      netscape.javascript.JSRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class JSRunnable

extends java.lang.Object
implements java.lang.Runnable

Runs a JavaScript object with a run() method in a separate thread.

Constructor Summary
`JSRunnable(JSObject runnable)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSRunnable

    public JSRunnable(JSObject runnable)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

IcedTea-Web Plugin

Submit a bug or feature